beaker (1.8.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * New upstream release
  * debian/rules rewritten, now uses dh sequencer and pybuild
  * Homepage updated
  * Update Standards-Version to 3.9.8 (no change needed)
  * Remove Oleksandr from Uploaders, thank for all your work! (closes: 820141)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Jul 2016 22:00:14 +0200

beaker (1.6.4-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Upload to unstable
  * Switch to debhelper compat level 9
  * Add dh-python to Build-Depends
  * Use default compression in dh_builddeb
  * Update Standards-Version to 3.9.6 (no change needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 19 Oct 2014 22:13:08 +0200

beaker (1.6.4-1) experimental; urgency=low

  * New upstream release
  * Upload to experimental due to Wheezy freeze

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 13 Sep 2012 20:14:47 +0200

beaker (1.6.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix security issue, with PyCrypto not securing data such that an attacker
    could possibly determine parts of the encrypted payload. Patch by Miloslav
    Trmac of Redhat. [CVE-2012-3458] Closes: #684890

 -- David Prévot <taffit@debian.org>  Fri, 24 Aug 2012 13:54:13 -0400

beaker (1.6.3-1) unstable; urgency=low

  [ Andrey Rahmatullin ]
  * Update Standards-Version to 3.9.1 (no change needed)
  * Switch from dh_pysupport to dh_python2

  [ Piotr Ożarowski ]
  * New upstream release
    - delete_cookie's expire date calculated via timedelta instead or
      .replace(year=2003). Closes: #661670
  * Remove egg-info/* files in clean target (regenerated in install)
    - debhelper compatibility level bumped to 7 (debian/clean file used)
  * Source format changed to 3.0 (quilt)
  * Standards-Version bumped to 3.9.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 06 May 2012 22:26:32 +0200

beaker (1.5.4-4) unstable; urgency=low

  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 23 Sep 2010 20:55:25 +0200

beaker (1.5.4-3) experimental; urgency=low

  * Rebuild against newer python3 package (python3.1 now uses
    /usr/lib/python3/)
  * Minimum python3-all version bumped to 3.1.2-8

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Sep 2010 17:36:35 +0200

beaker (1.5.4-2) experimental; urgency=low

  * Provide python3-beaker
  * Provide pydist files

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 06 Sep 2010 21:51:45 +0200

beaker (1.5.4-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 19 Jun 2010 12:30:25 +0200

beaker (1.5.3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 03 Mar 2010 00:37:43 +0100

beaker (1.5.2-1) unstable; urgency=low

  * New upstream release
  * Add python-pkg-resources to Recommends
  * Move python-sqlalchemy to Suggests
  * Add python-pylibmc | python-memcache and
    python-pycryptopp | python-crypto to Suggests

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 02 Mar 2010 22:00:18 +0100

beaker (1.5.1-4) unstable; urgency=low

  * debian/control: 
    - Switched package to DPMT group maintenance with Piotr
      Ozarowski and myself as uploaders for now.
    - Updated Standards-Version to 3.8.4.
  * debian/copyright: Changed debian packaging copyright to BSD and updated
    upstream copyright to BSD.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 18 Feb 2010 14:53:43 -0600

beaker (1.5.1-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Really drop Python 2.4 (Closes: #564209)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sun, 24 Jan 2010 20:58:42 +0100

beaker (1.5.1-2) unstable; urgency=low

  * debian/control: Dropped python2.4.

 -- OM <om@anton.tagancha.org>  Fri, 08 Jan 2010 09:42:18 -0600

beaker (1.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 07 Jan 2010 23:25:19 -0600

beaker (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 21 Sep 2009 21:40:11 -0400

beaker (1.4-1) unstable; urgency=low

  * New upstream release.
  * debian/changelog: Updated standards-version to 3.8.3.0.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 19 Aug 2009 23:30:28 -0400

beaker (1.3.1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release.
  * debian/rules works fine with python2.6 and its dist-packages now
  * Short and long description updated
  * Moved python-all and python-setuptools to Build-Depends-Indep
  * debian/dirs removed, no longer needed
  * Standards-version bumped to 3.8.2 (no changes needed)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 16 Jun 2009 21:34:05 +0200

beaker (1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated standards version to 3.8.1.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 23 Apr 2009 09:33:15 -0500

beaker (1.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 23 Feb 2009 13:31:18 -0700

beaker (1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 09 Feb 2009 17:40:28 -0700

beaker (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 26 Jan 2009 12:40:21 -0700

beaker (1.1.3-1) unstable; urgency=low

  * New upstream release, confirmed to work with sqlalchemy 0.5.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 15 Jan 2009 12:32:12 -0700

beaker (1.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 25 Nov 2008 08:15:08 -0700

beaker (1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/NEWS: added a note about incompatible cache.
  * debian/ruls: Removed -i from dh_* calls.
  * have dirs, so remove python-beaker.dirs.
  * debian/control: Moved python-support to Build-Depends-Indep.

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 23 Nov 2008 12:53:39 -0700

beaker (1.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 05 Nov 2008 11:39:09 -0700

beaker (1.0.2-2) experimental; urgency=low

  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Sandro Tosi <morph@debian.org>  Mon, 03 Nov 2008 22:12:45 +0100

beaker (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Removed XS-Python-Version - not needed by python-support.
    - Removed XB-Python-Version - not needed by python-support.
    - Removed python (>= 2.3.3) from Build-Depends - not needed by
      python-support.
    - Removed python from Depends. Only ${python:Depends} is necessary there.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 30 Sep 2008 13:20:11 -0600

beaker (1.0-1) unstable; urgency=low

  [ Oleksandr Moskalenko ]
  * New upstream release, required for pylons 0.9.7 release candidate.

  [ Carlos Galisteo ]
  * debian/control
    - Homepage field added.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 15 Aug 2008 10:23:13 -0600

beaker (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Do not put google.py into python2.'s dirs (Closes: #479484).
  * debian/control:
    - Updated Standarts-Version to 3.8.0 per lintian warning.
    - Changed Build-Depends python-setuptools from 0.6b3-1 to 0.6b3 per
      lintian warning.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 01 Jul 2008 12:22:13 -0600

beaker (0.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 24 Apr 2008 11:51:10 -0600

beaker (0.9.2.d1-1) unstable; urgency=low

  * Package upstream trunk as a new release to upload unreleased fixes.

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 24 Feb 2008 10:37:53 -0700

beaker (0.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 16 Feb 2008 16:49:21 -0700

beaker (0.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control: 
    - Updated Standards-Version to 3.7.3.
    - Changed section from "web" to "python" as recommended by lintian.

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 06 Jan 2008 22:32:31 -0700

beaker (0.8-1) unstable; urgency=low

  [ Oleksandr Moskalenko <malex@debian.org>]
    * New upstream release.
  [Piotr Ożarowski <piotr@debian.org>]
    * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 30 Oct 2007 18:17:15 -0600

beaker (0.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 04 Sep 2007 16:42:49 -0600

beaker (0.7.4-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 15 Jul 2007 16:40:21 -0600

beaker (0.7.3-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 26 Jun 2007 16:04:20 -0600

beaker (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * (0.7.1-1):
    [Piotr Ożarowski <piotr@debian.org>]
      - python-myghtyutils dependency removed (no longer used).
      - python-sqlalchemy added to Recommends.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 21 May 2007 09:09:44 -0600

beaker (0.6.3-3) unstable; urgency=low

  * Piotr Ożarowski <piotr@debian.org>:
    + New python-support handles egg's directory name correctly
      - bump python-support required version
      - remove mv part from debian/rules

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 14 May 2007 09:39:09 -0600

beaker (0.6.3-2) unstable; urgency=low

  * Etch has been released. Upload into Unstable.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 10 Apr 2007 11:44:44 -0600

beaker (0.6.3-1) experimental; urgency=low

  * New upstream version (upload to experimental until Etch releases).

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 29 Mar 2007 16:17:55 -0600

beaker (0.6.2-2) experimental; urgency=low

  * debian/control:
    - Added Debian Python Modules Team
      <python-modules-team@lists.alioth.debian.org> to Uploaders.
    - Added XS-Vcs-Svn and XS-Vcs-Browser control fields.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 29 Jan 2007 11:37:37 -0700

beaker (0.6.2-1) experimental; urgency=low

  *  New upstream version (upload to experimental due to Etch freeze).

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 12 Jan 2007 11:00:59 -0700

beaker (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #393756).

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 16 Oct 2006 22:46:18 -0600
